%define modname braille
%define soname %{modname}.so
%define inifile A65_%{modname}.ini

Summary:	Functions to control a braille display (and keyboard), based on libbraille
Name:		php-%{modname}
Version:	0.1.1
Release:	%mkrel 3
Group:		Development/PHP
License:	PHP License
URL:		http://braille.php-baustelle.de/trac/
Source0:	http://braille.php-baustelle.de/downloads/Releases/%{modname}-%{version}.tgz
# Taken from Mandriva
Patch0:		braille-0.1.1-php54x.diff
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file
BuildRequires:	libbraille-devel

%description
Functions to control a braille display (and keyboard), based on libbraille.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

%patch0 -p0

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS EXPERIMENTAL package*.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 0.1.1-3.mga3
+ Revision: 393249
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.1.1-2.mga3
+ Revision: 375716
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 24 2012 spuhler <spuhler> 0.1.1-1.mga3
+ Revision: 273930
- added braille-0.1.1-php54x.diff
- upgrade to 1.0.1

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.1.0-20.mga2
+ Revision: 223865
- httpd restart is handled by filetriggers now

* Tue Dec 20 2011 spuhler <spuhler> 0.1.0-19.mga2
+ Revision: 185085
- rebuild against php-5.3.9
  upgrade to 1.0.2

* Sun Feb 06 2011 spuhler <spuhler> 0.1.0-18.mga1
+ Revision: 47744
- removed buildroot definition from .spec
- imported package php-braille

